Bug 22649 - Add item type to item search results
Summary: Add item type to item search results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-05 17:04 UTC by Owen Leonard
Modified: 2019-04-26 14:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22649: Add itemtype to item search results and CSV file (6.69 KB, patch)
2019-04-06 12:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22654: Add 'ISSN' sarch option to OPAC simple search pull down (1.65 KB, patch)
2019-04-08 13:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22649: Add itemtype to item search results and CSV file (6.71 KB, patch)
2019-04-10 14:25 UTC, axel
Details | Diff | Splinter Review
Bug 22649: Add itemtype to item search results and CSV file (6.79 KB, patch)
2019-04-17 12:35 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-05 17:04:30 UTC
Item type should be a column in the table of item search results.
Comment 1 Katrin Fischer 2019-04-06 12:44:16 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-04-08 13:01:39 UTC Comment hidden (obsolete)
Comment 3 Josef Moravec 2019-04-08 13:36:57 UTC
Comment on attachment 87514 [details] [review]
Bug 22654: Add 'ISSN' sarch option to OPAC simple search pull down

Looks like this patch was added accidentaly - it is for other bug.
Comment 4 axel 2019-04-10 14:25:54 UTC Comment hidden (obsolete)
Comment 5 Josef Moravec 2019-04-17 12:35:26 UTC
Created attachment 88190 [details] [review]
Bug 22649: Add itemtype to item search results and CSV file

The itemtype can be searched for in the item search form, but
it is not displayed in the result list.
This patch adds the itemtype to the display and the CSV export
file.

To test:
- Try different item searches
- Verify that the itemtype now shows in the result list
- Export to CSV
- Verify that the itemtype shows there correctly as well

Signed-off-by: Axel Amghar <axel.amghar@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Nick Clemens 2019-04-19 14:56:21 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-26 14:35:36 UTC
Enhancement will not be backported to 18.11.x series.